Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(257)

Issue 16817002: Be smarter about when disabling tree-shaking. (Closed)

Created:
6 years, 7 months ago by ahe
Modified:
6 years, 7 months ago
CC:
reviews_dartlang.org, kasperl
Visibility:
Public.

Description

Be smarter about when to disable tree-shaking. BUG=http://dartbug.com/11218 R=johnniwinther@google.com, ngeoffray@google.com Committed: https://code.google.com/p/dart/source/detail?r=24027

Patch Set 1 : #

Total comments: 8

Patch Set 2 : Address comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+112 lines, -53 lines) Patch
M dart/sdk/lib/_internal/compiler/implementation/compiler.dart View 3 chunks +6 lines, -1 line 0 comments Download
M dart/sdk/lib/_internal/compiler/implementation/enqueue.dart View 5 chunks +51 lines, -35 lines 0 comments Download
M dart/sdk/lib/_internal/compiler/implementation/js_backend/backend.dart View 3 chunks +23 lines, -1 line 0 comments Download
M dart/sdk/lib/_internal/compiler/implementation/ssa/builder.dart View 1 chunk +1 line, -0 lines 0 comments Download
M dart/sdk/lib/_internal/lib/js_mirrors.dart View 1 6 chunks +17 lines, -1 line 0 comments Download
A + dart/tests/compiler/dart2js/mirror_tree_shaking_test.dart View 1 3 chunks +14 lines, -15 lines 0 comments Download

Messages

Total messages: 5 (0 generated)
ahe
An example like this: import 'dart:mirrors'; class Foo { noSuchMethod(invocation) { print('Invoked ${MirrorSystem.getName(invocation.memberName)}'); return reflect('foobar').delegate(invocation); ...
6 years, 7 months ago (2013-06-12 18:14:06 UTC) #1
ngeoffray
LGTM! https://codereview.chromium.org/16817002/diff/2001/dart/sdk/lib/_internal/compiler/implementation/compiler.dart File dart/sdk/lib/_internal/compiler/implementation/compiler.dart (right): https://codereview.chromium.org/16817002/diff/2001/dart/sdk/lib/_internal/compiler/implementation/compiler.dart#newcode531 dart/sdk/lib/_internal/compiler/implementation/compiler.dart:531: bool get compileAll => false; Why do you ...
6 years, 7 months ago (2013-06-12 19:38:42 UTC) #2
Johnni Winther
lgtm https://codereview.chromium.org/16817002/diff/2001/dart/sdk/lib/_internal/compiler/implementation/js_backend/backend.dart File dart/sdk/lib/_internal/compiler/implementation/js_backend/backend.dart (right): https://codereview.chromium.org/16817002/diff/2001/dart/sdk/lib/_internal/compiler/implementation/js_backend/backend.dart#newcode1137 dart/sdk/lib/_internal/compiler/implementation/js_backend/backend.dart:1137: } Something missing in this block? https://codereview.chromium.org/16817002/diff/2001/dart/tests/compiler/dart2js/mirror_tree_shaking_test.dart File ...
6 years, 7 months ago (2013-06-13 07:08:28 UTC) #3
ahe
Thank you, Nicolas and Johnni! https://codereview.chromium.org/16817002/diff/2001/dart/sdk/lib/_internal/compiler/implementation/compiler.dart File dart/sdk/lib/_internal/compiler/implementation/compiler.dart (right): https://codereview.chromium.org/16817002/diff/2001/dart/sdk/lib/_internal/compiler/implementation/compiler.dart#newcode531 dart/sdk/lib/_internal/compiler/implementation/compiler.dart:531: bool get compileAll => ...
6 years, 7 months ago (2013-06-14 12:00:22 UTC) #4
ahe
6 years, 7 months ago (2013-06-14 12:43:42 UTC) #5
Message was sent while issue was closed.
Committed patchset #2 manually as r24027 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698